%{!?python_sitelib:%global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:    marave
Version: 0.7
Release: 19%{?dist}
Summary: A Simple text editor 

License: BSD and GPLv2
Group:   Applications/Editors
URL:     http://marave.googlecode.com/
Source0: http://marave.googlecode.com/files/marave-%{version}.tar.gz	
BuildArch: noarch

Source1: marave.desktop

BuildRequires: desktop-file-utils
BuildRequires: python2-devel

Requires: PyQt4

%description
Marave is a text editor whose goal is to help you focus on writing.

It's inspired by ommwriter, Darkroom and many other "simple" text
editors, with a few twists.


%prep
%setup -q


%build
%{__python2} setup.py build


%install
%{__python2} setup.py install -O1 --skip-build --root %{buildroot}

desktop-file-install \
  --dir=%{buildroot}%{_datadir}/applications \
  %{SOURCE1}

## unpackaged files
# redistributable, but non-free, click/audio files 
# https://bugzilla.redhat.com/690658
# http://code.google.com/p/marave/issues/detail?id=14&can=1
rm -fv %{buildroot}%{python2_sitelib}/marave/clicks/{adriantnt_*,thozi_daClick}.wav


%files
%doc README
%license LICENSE
%license marave/smartypants_license
%{_bindir}/marave-editor
%{_datadir}/applications/marave.desktop
%{python2_sitelib}/marave/
%{python2_sitelib}/Marave-%{version}-*.egg-info


%changelog
* Fri Jul 20 2018 Rex Dieter <rdieter@fedoraproject.org> - 0.7-19
- explicitly use python2
- use %%license

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.7-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.7-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-14
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.7-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Sep 23 2011 Rex Dieter <rdieter@fedoraproject.org> 0.7-6
- incompatible licensing of audio files packaged with marave (#690658)

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.7-4
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Fri Feb 26 2010 Rex Dieter <rdieter@fedoraproject.org> 0.7-3
- License: +BSD (smartypants_license)
- dfi: drop --vendor

* Thu Feb 25 2010 Rex Dieter <rdieter@fedoraproject.org> 0.7-2
- fix whitespace
- Group: Applications/Editors

* Thu Feb 25 2010 Rex Dieter <rdieter@fedoraproject.org> 0.7-1
- marave-0.7

* Tue Feb 23 2010 Rex Dieter <rdieter@fedoraproject.org> 0.6-1
- marave-0.6

